Fix usage of deprecated API query pattern(s)
Closed, ResolvedPublic

Description

Certain API query patterns are deprecated as a result of the introduction of multi-content revisions; see https://lists.wikimedia.org/pipermail/mediawiki-api-announce/2018-August/000140.html.

The following need fixing:

In mwapi.getMetadata, we query for prop=revisions&rvprop=contentmodel without specifying rvslots.

The (far less frequently used) check-featured-feed.js script also queries for prop=revisions&rvprop=content without specifying rvslots.

Mholloway claimed this task.
Mholloway updated the task description. (Show Details)Aug 15 2018, 1:48 AM

Change 452884 had a related patch set uploaded (by Mholloway; owner: Mholloway):
[mediawiki/services/mobileapps@master] Fix deprecated MW API queries

https://gerrit.wikimedia.org/r/452884

Change 452884 merged by jenkins-bot:
[mediawiki/services/mobileapps@master] Fix deprecated MW API queries

https://gerrit.wikimedia.org/r/452884

Mentioned in SAL (#wikimedia-operations) [2018-08-16T14:34:57Z] <mholloway-shell@deploy1001> Started deploy [mobileapps/deploy@166eafa]: Update mobileapps to a808c9d (T201979)

Mentioned in SAL (#wikimedia-releng) [2018-08-16T14:37:01Z] <mdholloway> deployed [mobileapps/deploy@166eafa]: Update mobileapps to a808c9d (T201979)

Mentioned in SAL (#wikimedia-operations) [2018-08-16T14:41:00Z] <mholloway-shell@deploy1001> Finished deploy [mobileapps/deploy@166eafa]: Update mobileapps to a808c9d (T201979) (duration: 06m 03s)

Jhernandez closed this task as Resolved.Aug 17 2018, 1:33 PM